<?php

namespace Addons\WeixinCode;
use Common\Controller\Addon;

/**
 * 微信二维码展示插件
 * @author 常城
 */

    class WeixinCodeAddon extends Addon{

        public $info = array(
            'name'=>'WeixinCode',
            'title'=>'微信二维码展示',
            'description'=>'用于在每篇文章末尾展示网站的微信（公众号）二维码图片和相应文字说明',
            'status'=>1,
            'author'=>'常城',
            'version'=>'0.1'
        );

        public function install(){
            return true;
        }

        public function uninstall(){
            return true;
        }

        //实现的documentDetailAfter钩子方法
        public function documentDetailAfter($param){
            $config = $this->getConfig();
			$this->assign('addons_config', $config);

			if($config['display']){
				$this->display('weixincode');
			}
        }

    }